package com.platform.yijia.pojo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/***
 * 优惠劵发放方式
 */
@Data
public class CouponIssue {
    private String couponIssueId;            //发放表主键id
    private String issueName;                 //发放名
    private String issueType;                 //发放类型 （1主动发放，2消费发放，3扫码发放，4展示发放）
    private BigDecimal discountThresholdAmt;  //主动发放时，优惠券发放门槛
    private String status;                    //状态，1启用，2停用
    private Integer stationId;                //油站ID
    private String createBy;                  //创建人
    private Date createTime;                  //创建时间
    private String updateBy;                  //更新人
    private Date updateTime;                  //更新时间
    private String showId;                    //展示位置id(1支付成功之后的展示位，2待定，3待定)
    private String cycleDays;                 //每周每月的周几和几号
    private String appointedDays;             //指定日期
    private String availableControl;          //领用期内可用时间设置0一直可用 1:每周 2 每月 3 指定日期
    private Integer giveLimit;                //限额
    private Integer giveCount;                //发送的次数

    private List<Coupon> couponInfoList;      //优惠券
}
